from api_events.tasks2events.default_abstract import AddEventFunctionality


class ProjectFinanceResponsible(AddEventFunctionality):
    service_code = "SRO-PRJ-FIN"
    related_code = "PRJ-FIN"
    events = [
        {"function_code": "96459b36-37f2-4d5b-8370-c459058d5bce"},
        {"function_code": "ce3630e4-2bf9-4433-bdab-1ee72117e54b"},
        {"function_code": "b27e4fd0-6e3e-441b-9b33-806ac7082444"},
        {"function_code": "7101b5ca-8bef-40f9-8b4d-646d9994e18f"},
    ]

    def __new__(cls, *args, **kwargs):
        return super().retrieve_events(cls.events)
